## ros-laser-geometry 1.6.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(laser_geometry)

find_package(catkin REQUIRED
    COMPONENTS
        angles
        cmake_modules
        roscpp
        sensor_msgs
        tf
        tf2
)

find_package(Boost REQUIRED COMPONENTS system thread)

find_package(Eigen REQUIRED)

catkin_python_setup()

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES laser_geometry
  DEPENDS Boost Eigen
)

include_directories(include
    ${catkin_INCLUDE_DIRS}
    ${Boost_INCLUDE_DIRS}
    ${Eigen_INCLUDE_DIRS}
)

add_library(laser_geometry src/laser_geometry.cpp)
target_link_libraries(laser_geometry ${Boost_LIBRARIES} ${tf_LIBRARIES})

if(CATKIN_ENABLE_TESTING)
  catkin_add_gtest(projection_test test/projection_test.cpp)
  target_link_libraries(projection_test laser_geometry)

  catkin_add_nosetests(test/projection_test.py)
endif()

install(TARGETS laser_geometry
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})
install(DIRECTORY include/laser_geometry/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h")

=== debian/changelog ===
ros-laser-geometry (1.6.4-6) unstable; urgency=medium

  * Remove cmake-modules dependency
  * Add Python 3 package
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 07 Nov 2018 22:07:12 +0100

ros-laser-geometry (1.6.4-5) unstable; urgency=medium

  * Add new patch to fix build
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 31 Jul 2018 22:53:54 +0200

ros-laser-geometry (1.6.4-4) unstable; urgency=medium

  * limit d/watch to ROS1
  * Add patch for Eigen dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 29 Jul 2018 20:55:00 +0200

ros-laser-geometry (1.6.4-3) unstable; urgency=medium

  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update Vcs URLs
  * Update my email address
  * Update watch file
  * Remove old catkin version
  * Update Vcs URLs to salsa.d.o
  * Add R³
  * http -> https
  * Add missing dependencies
  * Update policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 18 Apr 2018 18:25:51 +0200

ros-laser-geometry (1.6.4-2) unstable; urgency=medium

  * Add dependencies

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jan 2016 15:10:56 +0100

ros-laser-geometry (1.6.4-1) unstable; urgency=medium

  * Initial release (Closes: #805332)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sat, 26 Dec 2015 00:59:55 +0000

=== debian/control ===
Source: ros-laser-geometry
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,  
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 11), catkin, libangles-dev, libroscpp-dev, libsensor-msgs-dev, libtf-dev, libtf2-dev, libboost-system-dev, libboost-thread-dev, libeigen3-dev, python-all, dh-python, python3-all
Standards-Version: 4.2.1
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/laser_geometry
Vcs-Browser: https://salsa.debian.org/science-team/ros-laser-geometry
Vcs-Git: https://salsa.debian.org/science-team/ros-laser-geometry.git

Package: liblaser-geometry-dev
Section: libdevel
Architecture: any
Depends: liblaser-geometry0d (= ${binary:Version}), ${misc:Depends}, libangles-dev, libroscpp-dev, libsensor-msgs-dev, libtf-dev, libtf2-dev, libboost-system-dev, libboost-thread-dev, libeigen3-dev
Description: Robot OS laser geometry package - development files
 This package is part of Robot OS (ROS). It contains a class for
 converting from a 2D laser scan as defined by sensor_msgs/LaserScan
 into a point cloud as defined by sensor_msgs/PointCloud or
 sensor_msgs/PointCloud2. In particular, it contains functionality to
 account for the skew resulting from moving robots or tilting laser
 scanners.
 .
 This package contains the development files.

Package: liblaser-geometry0d
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Robot OS laser geometry package
 This package is part of Robot OS (ROS). It contains a class for
 converting from a 2D laser scan as defined by sensor_msgs/LaserScan
 into a point cloud as defined by sensor_msgs/PointCloud or
 sensor_msgs/PointCloud2. In particular, it contains functionality to
 account for the skew resulting from moving robots or tilting laser
 scanners.
 .
 This package contains the library itself.

Package: python-laser-geometry
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-rospy, python-sensor-msgs, python-numpy
Description: Robot OS laser geometry package - Python 2 bindings
 This package is part of Robot OS (ROS). It contains a class for
 converting from a 2D laser scan as defined by sensor_msgs/LaserScan
 into a point cloud as defined by sensor_msgs/PointCloud or
 sensor_msgs/PointCloud2. In particular, it contains functionality to
 account for the skew resulting from moving robots or tilting laser
 scanners.
 .
 This package contains the Python 2 bindings.

Package: python3-laser-geometry
Section: python
Architecture: all
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-rospy, python3-sensor-msgs, python3-numpy
Description: Robot OS laser geometry package - Python 3 bindings
 This package is part of Robot OS (ROS). It contains a class for
 converting from a 2D laser scan as defined by sensor_msgs/LaserScan
 into a point cloud as defined by sensor_msgs/PointCloud or
 sensor_msgs/PointCloud2. In particular, it contains functionality to
 account for the skew resulting from moving robots or tilting laser
 scanners.
 .
 This package contains the Python 3 bindings.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake --with python2,python3

# test suite is broken atm.
override_dh_auto_test:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(1\.[\d.]*)\.tar\.gz%ros-laser-geometry-$1.tar.gz%" \
    https://github.com/ros-perception/laser_geometry/tags \
    (?:.*?/)?v?(1\.[\d.]*)\.tar\.gz debian uupdate

## ros-laser-geometry 1.6.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(laser_geometry)

find_package(catkin REQUIRED
    COMPONENTS
        angles
        roscpp
        sensor_msgs
        tf
        tf2
)

find_package(Boost REQUIRED COMPONENTS system thread)

find_package(Eigen3 REQUIRED)

catkin_python_setup()

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES laser_geometry
  CATKIN_DEPENDS tf tf2
  DEPENDS Boost EIGEN3
)

include_directories(include
    ${catkin_INCLUDE_DIRS}
    ${Boost_INCLUDE_DIRS}
    ${EIGEN3_INCLUDE_DIR}
)

add_library(laser_geometry src/laser_geometry.cpp)
target_link_libraries(laser_geometry ${Boost_LIBRARIES} ${tf_LIBRARIES})

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  catkin_add_gtest(projection_test test/projection_test.cpp)
  target_include_directories(projection_test PRIVATE ${rostest_INCLUDE_DIRS})
  target_link_libraries(projection_test laser_geometry)

  catkin_add_nosetests(test/projection_test.py)
endif()

install(TARGETS laser_geometry
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(DIRECTORY include/laser_geometry/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h")

=== debian/changelog ===
ros-laser-geometry (1.6.5-3) unstable; urgency=medium

  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 18:02:46 +0100

ros-laser-geometry (1.6.5-2) unstable; urgency=medium

  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 15 Dec 2020 18:30:53 +0100

ros-laser-geometry (1.6.5-1) unstable; urgency=medium

  * New upstream version 1.6.5
  * Remove Thomas from Uploaders, thanks for working on this
  * rebase patches
  * bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 20 Jun 2020 15:57:56 +0200

ros-laser-geometry (1.6.4-7) unstable; urgency=medium

  * Drop Python 2 package (Closes: #938384)
  * Bump policy version (no changes)
  * switch to debhelper-compat and debhelper 12
  * Update python3- depends
  * simplify d/watch
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 24 Oct 2019 06:30:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: ros-laser-geometry
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,  
-           Jochen Sprickerhof <jspricke@debian.org>,
+Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 11), catkin, libangles-dev, libroscpp-dev, libsensor-msgs-dev, libtf-dev, libtf2-dev, libboost-system-dev, libboost-thread-dev, libeigen3-dev, python-all, dh-python, python3-all
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 13), catkin, libangles-dev, libroscpp-dev, libsensor-msgs-dev, libtf-dev, libtf2-dev, libboost-system-dev, libboost-thread-dev, libeigen3-dev, python3-all, dh-sequence-python3, librostest-dev, python3-rostest,
+Standards-Version: 4.5.1
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/laser_geometry
@@ -40,24 +39,10 @@
  .
  This package contains the library itself.
 
-Package: python-laser-geometry
-Section: python
-Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-rospy, python-sensor-msgs, python-numpy
-Description: Robot OS laser geometry package - Python 2 bindings
- This package is part of Robot OS (ROS). It contains a class for
- converting from a 2D laser scan as defined by sensor_msgs/LaserScan
- into a point cloud as defined by sensor_msgs/PointCloud or
- sensor_msgs/PointCloud2. In particular, it contains functionality to
- account for the skew resulting from moving robots or tilting laser
- scanners.
- .
- This package contains the Python 2 bindings.
-
 Package: python3-laser-geometry
 Section: python
 Architecture: all
-Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-rospy, python3-sensor-msgs, python3-numpy
+Depends: ${python3:Depends}, ${misc:Depends}, python3-rospy, python3-sensor-msgs, python3-numpy
 Description: Robot OS laser geometry package - Python 3 bindings
  This package is part of Robot OS (ROS). It contains a class for
  converting from a 2D laser scan as defined by sensor_msgs/LaserScan

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(1\.[\d.]*)\.tar\.gz%ros-laser-geometry-$1.tar.gz%" \
    https://github.com/ros-perception/laser_geometry/tags \
    (?:.*?/)?v?(1\.[\d.]*)\.tar\.gz

## ros-laser-geometry 1.6.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
 cmake_minimum_required(VERSION 3.0.2)
 project(laser_geometry)
+
+set(CMAKE_CXX_STANDARD 11)
 
 find_package(catkin REQUIRED
     COMPONENTS
@@ -8,11 +10,16 @@
         sensor_msgs
         tf
         tf2
+        tf2_geometry_msgs
 )
 
 find_package(Boost REQUIRED COMPONENTS system thread)
 
 find_package(Eigen3 REQUIRED)
+# Handle FindEigen3 module's differing definitions
+if(NOT DEFINED EIGEN3_INCLUDE_DIRS AND DEFINED EIGEN3_INCLUDE_DIR)
+  set(EIGEN3_INCLUDE_DIRS ${EIGEN3_INCLUDE_DIR})
+endif()
 
 catkin_python_setup()
 
@@ -26,7 +33,7 @@
 include_directories(include
     ${catkin_INCLUDE_DIRS}
     ${Boost_INCLUDE_DIRS}
-    ${EIGEN3_INCLUDE_DIR}
+    ${EIGEN3_INCLUDE_DIRS}
 )
 
 add_library(laser_geometry src/laser_geometry.cpp)

=== debian/changelog ===
ros-laser-geometry (1.6.7-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ Timo Röhling ]
  * Migrate debian/watch to version 5 format
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.3
  * Migrate to dh-ros (Closes: #1125763)
  * Add myself to uploaders

 -- Timo Röhling <roehling@debian.org>  Thu, 22 Jan 2026 13:37:45 +0100

ros-laser-geometry (1.6.7-5) unstable; urgency=medium

  * Add patch to switch to setuptools (Closes: #1020006)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 20 Sep 2022 12:30:02 +0200

ros-laser-geometry (1.6.7-4) unstable; urgency=medium

  * Drop nose dependency (Closes: #1018631)
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 29 Aug 2022 14:49:13 +0200

ros-laser-geometry (1.6.7-3) unstable; urgency=medium

  * Added logcxx patch

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Wed, 02 Feb 2022 15:56:41 +0100

ros-laser-geometry (1.6.7-2) unstable; urgency=medium

  * Update tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 27 Oct 2021 19:37:04 +0200

ros-laser-geometry (1.6.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.6.7

 -- Timo Röhling <roehling@debian.org>  Mon, 27 Sep 2021 17:03:13 +0200

ros-laser-geometry (1.6.5-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * Fix Multiarch hinter issues

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Sep 2021 22:43:16 +0200

ros-laser-geometry (1.6.5-4) experimental; urgency=medium

  * Team upload.
  * Move pkg-config and CMake config files to /usr/lib/<triplet>
  * Bump Standards-Version to 4.6.0 (no changes)

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Sep 2021 00:25:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,30 @@
 Source: ros-laser-geometry
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
-           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper-compat (= 13), catkin, libangles-dev, libroscpp-dev, libsensor-msgs-dev, libtf-dev, libtf2-dev, libboost-system-dev, libboost-thread-dev, libeigen3-dev, python3-all, dh-sequence-python3, librostest-dev, python3-rostest,
-Standards-Version: 4.5.1
+Uploaders:
+ Jochen Sprickerhof <jspricke@debian.org>,
+ Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
+ Timo Röhling <roehling@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-ros,
+ dh-sequence-python3,
+ catkin (>= 0.8.10-1~),
+ libangles-dev,
+ libboost-system-dev,
+ libboost-thread-dev,
+ libeigen3-dev,
+ libgtest-dev,
+ libroscpp-dev,
+ librostest-dev,
+ libsensor-msgs-dev,
+ libtf-dev,
+ libtf2-dev,
+ python3-all,
+ python3-numpy <!nocheck>,
+ python3-rostest,
+ python3-sensor-msgs <!nocheck>,
+Standards-Version: 4.7.3
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/laser_geometry
@@ -14,7 +34,18 @@
 Package: liblaser-geometry-dev
 Section: libdevel
 Architecture: any
-Depends: liblaser-geometry0d (= ${binary:Version}), ${misc:Depends}, libangles-dev, libroscpp-dev, libsensor-msgs-dev, libtf-dev, libtf2-dev, libboost-system-dev, libboost-thread-dev, libeigen3-dev
+Multi-Arch: same
+Depends:
+ libangles-dev,
+ libboost-system-dev,
+ libboost-thread-dev,
+ libeigen3-dev,
+ liblaser-geometry0d (= ${binary:Version}),
+ libroscpp-dev,
+ libsensor-msgs-dev,
+ libtf-dev,
+ libtf2-dev,
+ ${misc:Depends},
 Description: Robot OS laser geometry package - development files
  This package is part of Robot OS (ROS). It contains a class for
  converting from a 2D laser scan as defined by sensor_msgs/LaserScan
@@ -27,7 +58,9 @@
 
 Package: liblaser-geometry0d
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Multi-Arch: same
 Description: Robot OS laser geometry package
  This package is part of Robot OS (ROS). It contains a class for
@@ -42,7 +75,12 @@
 Package: python3-laser-geometry
 Section: python
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, python3-rospy, python3-sensor-msgs, python3-numpy
+Depends:
+ python3-numpy,
+ python3-rospy,
+ python3-sensor-msgs,
+ ${misc:Depends},
+ ${python3:Depends},
 Description: Robot OS laser geometry package - Python 3 bindings
  This package is part of Robot OS (ROS). It contains a class for
  converting from a 2D laser scan as defined by sensor_msgs/LaserScan

=== debian/watch ===
Version: 5

Template: Github
Owner: ros-perception
Project: laser_geometry
Source: https://api.github.com/repos/ros-perception/laser_geometry/git/matching-refs/tags/1\.
